<?php

// initialize row alternating var
$_i = 0;

$delurl = '';
if ($event->isInitialized()) {
    $delurl = Kronolith::addParameter('delevent.php', 'eventID=' . $event->getID());
    $delurl = Kronolith::addParameter($delurl, 'month=' . $month);
    $delurl = Kronolith::addParameter($delurl, 'year=' . $year);
    if (isset($url)) {
        $delurl = Kronolith::addParameter($delurl, 'url=' . $url);
    }
    if (isset($timestamp)) {
        $delurl = Kronolith::addParameter($delurl, 'timestamp=' . $timestamp);
    }
    $delurl = Horde::applicationUrl($delurl);
}

if (isset($url)) {
    $cancelurl = $url;
} else {
    $cancelurl = Kronolith::addParameter('month.php', 'month=' . $month);
    $cancelurl = Kronolith::addParameter($cancelurl, 'year=' . $year);
    $cancelurl = Horde::applicationUrl($cancelurl);
}
?>
<form action="<?php echo ($event->isInitialized() ? 'editeventaction.php' : 'addeventaction.php') ?>" method="post" name="event">
<?php Horde::pformInput() ?>
<input type="hidden" name="year" value="<?php if (isset($year)) echo $year ?>" />
<input type="hidden" name="month" value="<?php if (isset($month)) echo $month ?>" />
<input type="hidden" name="mday" value="<?php if (isset($day)) echo $day ?>" />
<input type="hidden" name="timestamp" value="<?php if (isset($timestamp)) echo $timestamp ?>" />
<input type="hidden" name="new_category" value="" />
<?php if (isset($url)): ?>
<input type="hidden" name="url" value="<?php echo $url ?>" />
<?php endif; ?>
<?php if ($event->isInitialized()): ?>
<input type="hidden" name="eventID" value="<?php echo $event->getID() ?>" />
<?php endif; ?>

<center>
<table border="0" cellspacing="0" cellpadding="4" align="center">

<!-- header -->
<tr class="header">
 <td align="left" colspan="4" class="header"><b><?php echo $event->isInitialized() ? sprintf(_("Edit %s"), $event->getTitle()) : _("Add Event") ?></b></td>
</tr>

<!-- buttons -->
<tr>
 <td align="right" colspan="4">
  <input type="submit" class="button" name="save" value="<?php echo _("Save Event") ?>" />
<?php if ($event->isInitialized()): ?>
  <input type="submit" class="button" name="saveAsNew" value="<?php echo _("Save As New") ?>" />
  <input type="submit" class="button" name="delete" value="<?php echo _("Delete Event") ?>" onclick="self.location = '<?php echo $delurl; ?>'; return false;" />
<?php endif; ?>
  <input type="submit" name="cancel" class="button" value="<?php echo _("Cancel") ?>" onclick="self.location = '<?php echo $cancelurl; ?>'; return false;" />
  <input type="button" name="resetButton" class="button" value="<?php echo _("Reset to Defaults") ?>" onclick="document.event.reset(); updateWday('start_wday'); updateWday('end_wday');" />
 </td>
</tr>

<!-- title -->
<tr>
 <td align="right" class="light"><b><?php echo _("Title") ?>&nbsp;&nbsp;</b></td>
 <td align="left" class="item<?php echo($_i++ % 2)?>" colspan="3">
  <input type="text" name="title" value="<?php echo htmlspecialchars($event->getTitle()) ?>" size="40" maxlength="255" />
 </td>
</tr>

<!-- category -->
<tr>
 <td align="right" class="light">
    <b><?php echo _("Category") ?>&nbsp;&nbsp;</b>
 </td>
 <td align="left" class="item<?php echo($_i++ % 2)?>" colspan="3">
  <?php echo Kronolith::buildCategoryWidget('category', $event->getCategory(), !$prefs->isLocked('event_categories')) ?>
</td>
</tr>

<!-- location -->
<tr>
 <td align="right" class="light"><b><?php echo _("Location") ?>&nbsp;&nbsp;</b></td>
 <td align="left" class="item<?php echo($_i++ % 2)?>" colspan="3">
  <input type="text" name="location" value="<?php echo htmlspecialchars($event->getLocation()) ?>" size="40" maxlength="255" />
 </td>
</tr>

<!-- start date -->
<tr>
 <td align="right" class="light"><b><?php echo _("Start On") ?>&nbsp;&nbsp;</b></td>
 <td align="left" class="item<?php echo($_i % 2)?>" colspan="3">
  <?php echo $event->html('start_year') ?>
  -
  <?php echo $event->html('start_month') ?>
  -
  <?php echo $event->html('start_day') ?>
<?php if (($browser->isBrowser('msie') && $browser->majorVersion >= 4) ||
          ($browser->isBrowser('mozilla') && $browser->majorVersion >= 5)): ?>
  <span id="start_wday"></span>
  <script language="JavaScript" type="text/javascript">
   updateWday('start_wday');
  </script>
<?php endif; ?>
 </td>
</tr>

<!-- start time -->
<tr>
 <td align="right" class="light"><b><?php echo _("At") ?>&nbsp;&nbsp;</b></td>
 <td align="left" class="item<?php echo($_i++ % 2)?>" colspan="3">
  <?php echo $event->html('start_hour') ?>
  &nbsp;:&nbsp;
  <?php echo $event->html('start_min') ?>
  <?php
  if (!$prefs->getValue('twentyFour')) {
      if ($event->getStartDate('a') == 'am') {
          $am = ' checked="checked"';
          $pm = '';
      } else {
          $am = '';
          $pm = ' checked="checked"';
      }
  ?>
  <input id="am" type="radio" name="am_pm" value="AM"<?php echo $am ?> onclick="document.event.whole_day.checked=false;updateEndDate();" /><label for="am" onclick="document.event.whole_day.checked=false;updateEndDate();">AM</label>
  <input id="pm" type="radio" name="am_pm" value="PM"<?php echo $pm ?> onclick="document.event.whole_day.checked=false;updateEndDate();" /><label for="pm" onclick="document.event.whole_day.checked=false;updateEndDate();">PM</label>
  <?php } ?>
 </td>
</tr>

<!-- end date -->
<tr>
 <td align="right" class="light"><b><?php echo _("Duration") ?>&nbsp;&nbsp;</b></td>
 <td align="left" class="item<?php echo($_i % 2)?>">
  <input type="radio" name="end_or_dur" value="0" checked="checked" />
 </td>
 <td class="item<?php echo($_i % 2)?>" align="right"><?php echo _("End On") ?></td>
 <td align="left" class="item<?php echo($_i % 2)?>">
  <?php echo $event->html('end_year') ?>
  -
  <?php echo $event->html('end_month') ?>
  -
  <?php echo $event->html('end_day') ?>
<?php if (($browser->isBrowser('msie') && $browser->majorVersion >= 4) ||
          ($browser->isBrowser('mozilla') && $browser->majorVersion >= 5)): ?>
  <span id="end_wday"></span>
  <script language="JavaScript" type="text/javascript">
   updateWday('end_wday');
  </script>
<?php endif; ?>
 </td>
</tr>

<!-- end time -->
<tr>
 <td>&nbsp;</td>
 <td class="item<?php echo($_i % 2)?>" align="left">&nbsp;</td>
 <td class="item<?php echo($_i % 2)?>" align="right">
  <?php echo _("At") ?>
 </td>
 <td class="item<?php echo($_i++ % 2)?>" align="left">
  <?php echo $event->html('end_hour') ?>&nbsp;:&nbsp;<?php echo $event->html('end_min') ?>
  <?php
  if (!$prefs->getValue('twentyFour')) {
      if ($event->getEndDate('G') < 12) {
          $am = ' checked="checked"';
          $pm = '';
      } else {
          $am = '';
          $pm = ' checked="checked"';
      }
  ?>
  <input id="eam" type="radio" name="end_am_pm" value="AM"<?php echo $am ?> onclick="document.event.end_or_dur[0].checked=true;updateDuration()" /><label for="eam" onclick="document.event.end_or_dur[0].checked=true;updateDuration()">AM</label>
  <input id="epm" type="radio" name="end_am_pm" value="PM"<?php echo $pm ?> onclick="document.event.end_or_dur[0].checked=true;updateDuration()" /><label for="epm" onclick="document.event.end_or_dur[0].checked=true;updateDuration()">PM</label>
  <?php } ?>
 </td>
</tr>

<!-- duration -->
<tr>
 <td>&nbsp;</td>
 <td class="item<?php echo($_i % 2)?>" align="left" valign="top">
  <input type="radio" name="end_or_dur" value="1" />
 </td>
 <td class="item<?php echo($_i % 2)?>" align="right" valign="top"><?php echo _("Lasts") ?></td>
 <td class="item<?php echo($_i++ % 2)?>" align="left" valign="top">
  <input id="allday" name="whole_day" type="checkbox" value="1" onclick="setWholeDay(this.value); updateEndDate(); document.event.end_or_dur[1].checked = true"<?php $dur = $event->getDuration(); if ($dur->wholeDay) echo ' checked="checked"' ?> />
  <label for="allday"><?php echo _("All day")?></label><br /><?php echo $event->html('dur_day') . _("Day(s)")?>&nbsp;<?php echo $event->html('dur_hour') . _("Hour(s)") ?>&nbsp;<?php echo $event->html('dur_min') ?><?php echo _("Minutes") ?>
 </td>
</tr>

<!-- alarm -->
<tr>
 <td align="right" class="light"><b><?php echo _("Alarm") ?>&nbsp;&nbsp;</b></td>
 <td class="item<?php echo($_i++ % 2)?>" align="left" valign="top" colspan="3">
  <?php
  if ($event->isInitialized() && $event->alarm > 0) {
      $alarm_set = true;
      if ($event->alarm % 10080 == 0) {
          $alarm_value = $event->alarm / 10080;
          $alarm_unit = 'week';
      } elseif ($event->alarm % 1440 == 0) {
          $alarm_value = $event->alarm / 1440;
          $alarm_unit = 'day';
      } elseif ($event->alarm % 60 == 0) {
          $alarm_value = $event->alarm / 60;
          $alarm_unit = 'hour';
      } else {
          $alarm_value = $event->alarm;
          $alarm_unit = 'min';
      }
  } else {
      $alarm_value = 15;
      $alarm_unit = 'min';
      $alarm_set = false;
  }
  ?>
  <input id="noalarm" name="alarm" type="radio" value="0"<?php if (!$alarm_set) echo ' checked="checked"' ?> /><label for="noalarm"> <?php echo _("None") ?></label><br />
  <input name="alarm" type="radio" value="1"<?php if ($alarm_set) echo ' checked="checked"' ?> />
  <input type="text" size="2" name="alarm_value" value="<?php echo $alarm_value ?>" onchange="document.event.alarm[1].checked=true" />&nbsp;
  <select name="alarm_unit" onchange="document.event.alarm[1].checked=true">
   <option value="1"<?php echo ($alarm_unit == 'min') ? ' selected="selected"' : '' ?>><?php echo _("Minute(s)") ?></option>
   <option value="60"<?php echo ($alarm_unit == 'hour') ? ' selected="selected"' : '' ?>><?php echo _("Hour(s)") ?></option>
   <option value="1440"<?php echo ($alarm_unit == 'day') ? ' selected="selected"' : '' ?>><?php echo _("Day(s)") ?></option>
   <option value="10080"<?php echo ($alarm_unit == 'week') ? ' selected="selected"' : '' ?>><?php echo _("Week(s)") ?></option>
  </select>
 </td>
</tr>

<!-- description -->
<tr class="smallheader">
 <td align="left" colspan="4" class="smallheader"><?php echo _("<b>Description</b> (optional)") ?>
</td>
</tr>
<tr>
 <td>&nbsp;</td>
 <td class="item<?php echo($_i++ % 2)?>" colspan="3" align="left">
  <textarea wrap="hard" name="description" cols="40" rows="4"><?php echo htmlspecialchars($event->getDescription()) ?></textarea>
 </td>
</tr>

<!-- recurrence -->
<tr class="smallheader">
 <td align="left" colspan="4" class="smallheader"><?php echo _("<b>Recurrence</b> (optional)") ?></td>
</tr>
<tr>
 <td class="light" align="right" valign="top"><b><br /><?php echo _("Pattern") ?>&nbsp;&nbsp;</b></td>
 <td class="item<?php echo($_i++ % 2)?>" align="left" valign="top" colspan="3">
  <?php $_j = $_i ?>
  <table cellpadding="0" cellspacing="0" border="0" width="95%">
   <tr>
    <td nowrap="nowrap" class="item<?php echo($_j++ % 2)?>">
     <input id="recurnone" type="radio" name="recur" onclick="clearFields(0);" value="<?php echo KRONOLITH_RECUR_NONE ?>"<?php if ($event->hasRecurType(KRONOLITH_RECUR_NONE)) echo ' checked="checked"' ?> /><label for="recurnone"> <?php echo _("None") ?></label>
    </td>
   </tr>
   <tr>
    <td nowrap="nowrap" class="item<?php echo($_j++ % 2)?>">
     <input id="recurdaily" type="radio" name="recur" onclick="setInterval('recur_daily_interval');" value="<?php echo KRONOLITH_RECUR_DAILY ?>"<?php if ($event->hasRecurType(KRONOLITH_RECUR_DAILY)) echo ' checked="checked"' ?> /><label for="recurdaily"> <?php echo _("Daily: Recurs every") ?>&nbsp;
     <input type="text" name="recur_daily_interval" size="2" onkeypress="setRecur(1);" onchange="setRecur(1);" value="<?php echo $event->hasRecurType(KRONOLITH_RECUR_DAILY) ? $event->getRecurInterval() : '' ?>" />&nbsp;<?php echo _("day(s)") ?></label>
    </td>
   </tr>
   <tr>
    <td nowrap="nowrap" class="item<?php echo($_j++ % 2)?>">
     <input id="recurweekly" type="radio" name="recur" onclick="setInterval('recur_weekly_interval');" value="<?php echo KRONOLITH_RECUR_WEEKLY ?>"<?php if ($event->hasRecurType(KRONOLITH_RECUR_WEEKLY)) echo ' checked="checked"' ?> /><label for="recurweekly"> <?php echo _("Weekly: Recurs every") ?>&nbsp;
     <input type="text" name="recur_weekly_interval" size="2" onkeypress="setRecur(2);" onchange="setRecur(2);" value="<?php echo $event->hasRecurType(KRONOLITH_RECUR_WEEKLY) ? $event->getRecurInterval() : '' ?>" />&nbsp;
     <?php echo _("week(s) on:") ?></label><br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
     <label for="mo"><?php echo _("Mo") ?></label><input id="mo" type="checkbox" name="weekly[]" onclick="setRecur(2);" value="<?php echo KRONOLITH_MASK_MONDAY ?>"<?php if ($event->recurOnDay(KRONOLITH_MASK_MONDAY)) echo ' checked="checked"' ?> />&nbsp;
     <label for="tu"><?php echo _("Tu") ?></label><input id="tu" type="checkbox" name="weekly[]" onclick="setRecur(2);" value="<?php echo KRONOLITH_MASK_TUESDAY ?>"<?php if ($event->recurOnDay(KRONOLITH_MASK_TUESDAY)) echo ' checked="checked"' ?> />&nbsp;
     <label for="we"><?php echo _("We") ?></label><input id="we" type="checkbox" name="weekly[]" onclick="setRecur(2);" value="<?php echo KRONOLITH_MASK_WEDNESDAY ?>"<?php if ($event->recurOnDay(KRONOLITH_MASK_WEDNESDAY)) echo ' checked="checked"' ?> />&nbsp;
     <label for="th"><?php echo _("Th") ?></label><input id="th" type="checkbox" name="weekly[]" onclick="setRecur(2);" value="<?php echo KRONOLITH_MASK_THURSDAY ?>"<?php if ($event->recurOnDay(KRONOLITH_MASK_THURSDAY)) echo ' checked="checked"' ?> />&nbsp;
     <label for="fr"><?php echo _("Fr") ?></label><input id="fr" type="checkbox" name="weekly[]" onclick="setRecur(2);" value="<?php echo KRONOLITH_MASK_FRIDAY ?>"<?php if ($event->recurOnDay(KRONOLITH_MASK_FRIDAY)) echo ' checked="checked"' ?> />&nbsp;
     <label for="sa"><?php echo _("Sa") ?></label><input id="sa" type="checkbox" name="weekly[]" onclick="setRecur(2);" value="<?php echo KRONOLITH_MASK_SATURDAY ?>"<?php if ($event->recurOnDay(KRONOLITH_MASK_SATURDAY)) echo ' checked="checked"' ?> />&nbsp;
     <label for="su"><?php echo _("Su") ?></label><input id="su" type="checkbox" name="weekly[]" onclick="setRecur(2);" value="<?php echo KRONOLITH_MASK_SUNDAY ?>"<?php if ($event->recurOnDay(KRONOLITH_MASK_SUNDAY)) echo ' checked="checked"' ?> />&nbsp;
    </td>
   </tr>
   <tr>
    <td nowrap="nowrap" class="item<?php echo($_j++ % 2)?>">
     <input id="recurmonthday" type="radio" name="recur" onclick="setInterval('recur_day_of_month_interval');" value="<?php echo KRONOLITH_RECUR_DAY_OF_MONTH ?>"<?php if ($event->hasRecurType(KRONOLITH_RECUR_DAY_OF_MONTH)) echo ' checked="checked"' ?> /><label for="recurmonthday"> <?php echo _("Monthly: Recurs every") ?>&nbsp;
     <input type="text" name="recur_day_of_month_interval" size="2" onkeypress="setRecur(3);" onchange="setRecur(3);" value="<?php echo $event->hasRecurType(KRONOLITH_RECUR_DAY_OF_MONTH) ? $event->getRecurInterval() : '' ?>" />&nbsp;<?php echo _("month(s)") . ' ' . _("on the same date") ?></label>
    </td>
   </tr>
   <tr>
    <td nowrap="nowrap" class="item<?php echo($_j++ % 2)?>">
     <input id="recurmonthweek" type="radio" name="recur" onclick="setInterval('recur_week_of_month_interval');" value="<?php echo KRONOLITH_RECUR_WEEK_OF_MONTH ?>"<?php if ($event->hasRecurType(KRONOLITH_RECUR_WEEK_OF_MONTH)) echo ' checked="checked"' ?> /><label for="recurmonthweek"> <?php echo _("Monthly: Recurs every") ?>&nbsp;
     <input type="text" name="recur_week_of_month_interval" size="2" onkeypress="setRecur(4);" onchange="setRecur(4);" value="<?php echo $event->hasRecurType(KRONOLITH_RECUR_WEEK_OF_MONTH) ? $event->getRecurInterval() : '' ?>" />&nbsp;<?php echo _("month(s)") . ' ' . _("on the same weekday") ?></label>
    </td>
   </tr>
   <tr>
    <td nowrap="nowrap" class="item<?php echo($_j++ % 2)?>">
     <input id="recuryear" type="radio" name="recur" onclick="setInterval('recur_yearly_interval');" value="<?php echo KRONOLITH_RECUR_YEARLY ?>"<?php if ($event->hasRecurType(KRONOLITH_RECUR_YEARLY)) echo ' checked="checked"' ?> /><label for="recuryear"> <?php echo _("Yearly: Recurs every") ?>&nbsp;
     <input type="text" name="recur_yearly_interval" size="2" onkeypress="setRecur(5);" onchange="setRecur(5);" value="<?php echo $event->hasRecurType(KRONOLITH_RECUR_YEARLY) ? $event->getRecurInterval() : '' ?>" />&nbsp;<?php echo _("year(s)") ?></label>
    </td>
   </tr>
  </table>
 </td>
</tr>

<!-- recur end date -->
<tr>
 <td align="right" class="light"><b><?php echo _("Recur Until") ?>&nbsp;&nbsp;</b></td>
 <td align="left" class="item<?php echo($_i++ % 2)?>" colspan="3">
  <input id="recurnoend" type="radio" name="recur_enddate_type" value="none"<?php echo ($event->hasRecurEnd() ? '' : ' checked="checked"') ?> /><label for="recurnoend"> <?php echo _("No end date") ?></label><br />
  <input type="radio" name="recur_enddate_type" value="date"<?php echo ($event->hasRecurEnd() ? ' checked="checked"' : '') ?> />
  <?php echo $event->html('recur_enddate_year') ?> - <?php echo $event->html('recur_enddate_month') ?> - <?php echo $event->html('recur_enddate_day') ?>
<?php if (($browser->isBrowser('msie') && $browser->majorVersion >= 4) ||
          ($browser->isBrowser('mozilla') && $browser->majorVersion >= 5)): ?>
   <span id="recur_end_wday"></span>
   <script language="JavaScript" type="text/javascript">
    updateWday("recur_end_wday");
   </script>
<?php endif; ?>
 </td>
</tr>

<?php if ($conf['metadata']['keywords']): ?>
<!-- keywords -->
<tr class="smallheader">
 <td colspan="4" class="smallheader" align="left"><?php echo _("<b>Keywords</b> (optional)") ?></td>
</tr>
<tr>
 <td></td>
 <td class="item<?php echo($_i++ % 2)?>" colspan="3" align="left">
  <table border="0" cellspacing="2" cellpadding="2">
   <?php include_once KRONOLITH_BASE . '/config/keywords.php'; $count = 0; $_j = $_i ?>
   <?php foreach ($keywords as $cat => $list): ?>
   <?php if ($count % 3 == 0): ?>
   <tr>
   <?php endif; ?>
    <td  class="item<?php echo($_j++ % 2)?>" valign="top">
     <b><?php echo $cat ?></b><br />
    <?php foreach ($list as $entry): ?>
     <input type="checkbox" name="keywords[]" value="<?php echo htmlspecialchars($entry) ?>"<?php if ($event->hasKeyword($entry)) echo ' checked="checked"' ?> />
     <?php echo htmlspecialchars($entry) ?><br />
    <?php endforeach; ?>
    </td>
   <?php if (($count % 3 == 2) || ($count == count($keywords) - 1)): ?>
   </tr>
   <?php endif; $count++; ?>
   <?php endforeach; ?>
  </table>
 </td>
</tr>
<?php endif; ?>

<!-- buttons -->
<tr>
 <td align="right" colspan="4">
  <input type="submit" class="button" name="save" value="<?php echo _("Save Event") ?>" />
<?php if ($event->isInitialized()): ?>
  <input type="submit" class="button" name="saveAsNew" value="<?php echo _("Save As New") ?>" />
  <input type="submit" class="button" name="delete" value="<?php echo _("Delete Event") ?>" onclick="self.location = '<?php echo $delurl; ?>'; return false;" />
<?php endif; ?>
  <input type="submit" name="cancel" class="button" value="<?php echo _("Cancel") ?>" onclick="self.location = '<?php echo $cancelurl; ?>'; return false;" />
  <input type="button" name="resetButton" class="button" value="<?php echo _("Reset to Defaults") ?>" onclick="document.event.reset(); updateWday('start_wday'); updateWday('end_wday');" />
  </td>
 </tr>
</table>

</center>
</form>

<script language="JavaScript" type="text/javascript">
<!--
document.event.title.focus();
//-->
</script>
